<%- include('components/header', {data: 'header'}); %>

<body class="bg-main">
  
  <%- include('components/navbar', {data: 'navbar'}); %>

  <div class="bodyDiv">  
        <h1 class="txt-white">Análisis de sentimientos de Tweets</h1>
        <label>Búsqueda</label>
        <h3 class="txt-white"><%= res.query %></h3>

        <div id="piechart" class="bg-main" style="width: 900px; height: 500px;"></div>
        <table id="myTable" class="txt-white" align="center">
            <thead>
                <tr>
                    <th scope="col">#</th>               
                    <!-- <th scope="col">User</th>                -->
                    <th scope="col"> Tweet</th>                    
                    <th scope="col">Positivo</th>
                    <th scope="col">Negativo</th>
                    <th scope="col"> Score</th>
                </tr>
            </thead>
            <tbody>
                <% for(var item in res.tweets) { %>
                <tr class="" style="height:70px">
                    <th scope="row"><%= parseInt(item)+1 %></th>
                    <!-- <td> <%= res.tweets[item].userName %></td> -->
                    <td> <%= res.tweets[item].tweet %></td>                                                            
                    <td> <%= res.tweets[item].positive %></td>
                    <td> <%= res.tweets[item].negative %></td>
                    <td> <%= res.tweets[item].score %></td>
                </tr>
                <% } %>
            </tbody>
        </table>
    </div>

    <script type="text/javascript">
        google.charts.load('current', { 'packages': ['corechart'] });
        google.charts.setOnLoadCallback(drawChart);

        function drawChart() {
            // console.log("res: ", <%= res.plusPositiveTweets %>);
            var c1 = <%= res.positiveTweets %>;
            var c2 = <%= res.negativeTweets %>;
            var c4 = <%= res.plusPositiveTweets %>;
            // var c4 = 0;
            var c5 = <%= res.lessNegativeTweets %>;
            let c3 = 100 - c4 - c1 - c2 -c5 ;
            console.log("neutral", c3);
            console.log("satisfecho", c1);
            console.log("desacuerdo", c2);
            console.log("molesto", c5);
            console.log("feliz", c4);
            console.log("total", c3+ c4 + c1 + c2 + c5 );

            var data = google.visualization.arrayToDataTable([
                ['Sentiment', 'Percentage'],
                ['Feliz', c4],
                ['Satisfecho', c1],
                ['Neutral', c3],
                ['Desacuerdo', c2],
                ['Molesto', c5]
            ]);
            var options = {
                colors: ['#072EF2', '#2271b3', '#c2c2c2','#F29D07','#F2072B'],
                pieHole: 0.7,                
                backgroundColor: '#fff',
                
            };
            var chart = new google.visualization.PieChart(document.getElementById('piechart'));
            chart.draw(data, options);
        }
    </script>
</body>

<%- include('components/footer', {data: 'footer'}); %>

</html>